## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# FunctionCurrent Class Reference

`#include <FunctionCurrent.hpp>`

Inheritance diagram for FunctionCurrent:

[legend]
Collaboration diagram for FunctionCurrent:

[legend]
List of all members.

## Public Types

- typedef Function ParentType

## Public Methods

- FunctionCurrent ()
- virtual ~FunctionCurrent ()
- virtual XObjectPtr execute (XPathExecutionContext &executionContext, XalanNode *context, const LocatorType *locator) const
    Execute an XPath function object. More...
- virtual FunctionCurrent* clone (MemoryManagerType &theManager) const
    Create a copy of the function object. More...

## Member Typedef Documentation

typedef Function FunctionCurrent::ParentType

## Constructor & Destructor Documentation

FunctionCurrent::FunctionCurrent ( | )

FunctionCurrent::~FunctionCurrent ( | )`[virtual]`

## Member Function Documentation

FunctionCurrent * FunctionCurrent::clone ( | MemoryManagerType & theManager ) const`[virtual]`

| Create a copy of the function object. Returns: pointer to the new object Reimplemented from Function.

XObjectPtr FunctionCurrent::execute ( | XPathExecutionContext & executionContext,
| XalanNode * context,
| const LocatorType * locator ) const`[virtual]`

  | Execute an XPath function object. The function must return a valid object. Called if function has no parameters. Parameters:
  executionContext | executing context
  context | current context node
  locator | LocatorType instance for the XPath expression that contains the function call
Returns: pointer to the result XObject Reimplemented from Function.

The documentation for this class was generated from the following file:

- FunctionCurrent.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.